Bug 437873 - Sevice run level enablment of NetworkManager & network not preserved on update
Summary: Sevice run level enablment of NetworkManager & network not preserved on update
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: NetworkManager   
(Show other bugs)
Version: 5.2
Hardware: All Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Dan Williams
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-17 20:26 UTC by Tim Burke
Modified: 2009-01-20 21:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 21:28:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2009:0161 normal SHIPPED_LIVE NetworkManager enhancement and bug fix update 2009-01-20 16:05:18 UTC

Description Tim Burke 2008-03-17 20:26:33 UTC
Tim Burke (tburke@redhat.com) said: 
> > Hi Dan & Bill,
> >
> > I just did a `yum update` from RHEL5.1 -> 5.2 beta.  After doing that my 
> > wireless didn't just magically work.
> >
> > Looked to me that the network services didn't preserve the prior run level 
> > enablement:
> >
> > [root@localhost ~]# chkconfig --list | grep -i network
> > NetworkManager  0:off   1:off   2:off   3:on    4:on    5:on    6:off
> > NetworkManagerDispatcher        0:off   1:off   2:off   3:off   4:off   
> > 5:off  6:off
> > network         0:off   1:off   2:on    3:on    4:on    5:on    6:off
> >
> > [root@localhost ~]# chkconfig network off
> > [root@localhost ~]# chkconfig NetworkManagerDispatcher on
> > followed by reboot corrected this.
> >
> > Question: is this the expected behavior?  Or should it have preserved what 
> > run level settings were previously in effect prior to the update?

Assuming they were disabled with 'chkconfig ... off' and not 'chkconfig --del ...',
yes.

Bill

Comment 1 Tim Burke 2008-03-17 20:27:00 UTC
Tim Burke (tburke@redhat.com) said: 
> > I would imagine that if all `yum update` does is remove the old pkg and put 
> > in a new one, that these manual config changes I did would be lost and the 
> > default behavior is restored.  Is that correct?  I wasn't sure if there was 
> > any "smarts" in the update process to preserve config settings.

on/off state should not be changed on package updates, assuming it's
'off' as opposed to 'not set up'.

Bill


Comment 2 RHEL Product and Program Management 2008-06-02 20:13:28 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 7 errata-xmlrpc 2009-01-20 21:28:47 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0161.html


Note You need to log in before you can comment on or make changes to this bug.